org.apache.sling.commons.osgi.bundleversion

## Class FileBundleVersionInfo

- java.lang.Object
- - org.apache.sling.commons.osgi.bundleversion.BundleVersionInfo<File>
  - - org.apache.sling.commons.osgi.bundleversion.FileBundleVersionInfo

All Implemented Interfaces:
  Comparable<BundleVersionInfo<?>>

    public class FileBundleVersionInfo
    extends BundleVersionInfo<File>

BundleVersionInfo based on a bundle jar file

### Field Summary

### Fields inherited from class org.apache.sling.commons.osgi.bundleversion.BundleVersionInfo

`BND_LAST_MODIFIED, BND_LAST_MODIFIED_MISSING, SNAPSHOT_MARKER`

### Constructor Summary

Constructors
Constructor and Description
`FileBundleVersionInfo(File bundle)`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getBundleLastModified()` Return the bundle last modification time, based on the BND_LAST_MODIFIED manifest header, if available.
`String` `getBundleSymbolicName()`
`File` `getSource()`
`org.osgi.framework.Version` `getVersion()`
`boolean` `isBundle()`
`boolean` `isSnapshot()`
`String` `toString()`

### Methods inherited from class org.apache.sling.commons.osgi.bundleversion.BundleVersionInfo

`compareTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### FileBundleVersionInfo

    public FileBundleVersionInfo(File bundle)
                          throws IOException

Throws:
  `IOException`

### Method Detail

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### isBundle

    public boolean isBundle()

Specified by:
  `isBundle` in class `BundleVersionInfo<File>`
Returns:
  True if the provided data is a valid bundle

#### getBundleLastModified

    public long getBundleLastModified()

Description copied from class: `BundleVersionInfo`
Return the bundle last modification time, based on the BND_LAST_MODIFIED manifest header, if available. This is *not* the Bundle.getLastModified() value, which refers to actions in the OSGi framework.

Specified by:
  `getBundleLastModified` in class `BundleVersionInfo<File>`
Returns:
  BND_LAST_MODIFIED_MISSING if header not supplied

#### getBundleSymbolicName

    public String getBundleSymbolicName()

Specified by:
  `getBundleSymbolicName` in class `BundleVersionInfo<File>`
Returns:
  Return the bundle symbolic name, null if not available

#### getSource

    public File getSource()

Specified by:
  `getSource` in class `BundleVersionInfo<File>`
Returns:
  Return the source of information: underlying File or Bundle

#### getVersion

    public org.osgi.framework.Version getVersion()

Specified by:
  `getVersion` in class `BundleVersionInfo<File>`
Returns:
  Return the bundle version, null if not available

#### isSnapshot

    public boolean isSnapshot()

Specified by:
  `isSnapshot` in class `BundleVersionInfo<File>`
Returns:
  True if the bundle version indicates a snapshot